## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface SybaseASABaseUserDefinedType

All Superinterfaces:
  DataType, DistinctUserDefinedType, Domain, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, UserDefinedType

All Known Implementing Classes:
  SybaseASABaseUserDefinedTypeImpl, SybaseASACatalogBaseUserDefinedDataType

    public interface SybaseASABaseUserDefinedType

extends Domain

A representation of the model object 'Sybase ASA Base User Defined Type'.

The following features are supported:

- `Nullable`
- `Default Type`

See Also:
  `SybaseasabasesqlmodelPackage.getSybaseASABaseUserDefinedType()`

Method Summary
`TypeOfDefault` `getDefaultType()` Returns the value of the 'Default Type' attribute.
`int` `getGlobalIncrementPartitionSize()` -1 stand for default value
`AllowNullType` `getNullable()` Returns the value of the 'Nullable' attribute.
`boolean` `isLiteralDefault()`
`void` `setDefaultType(TypeOfDefault value)` Sets the value of the '`Default Type`' attribute.
`void` `setNullable(AllowNullType value)` Sets the value of the '`Nullable`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.Domain
`getConstraint, getDefaultValue, setDefaultValue`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DistinctUserDefinedType
`getPredefinedRepresentation, setPredefinedRepresentation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.UserDefinedType
`getOrdering, getSchema, setOrdering, setSchema`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getNullable

    AllowNullType getNullable()

  Returns the value of the 'Nullable' attribute. The literals are from the enumeration `AllowNullType`.

  If the meaning of the 'Nullable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Nullable' attribute.
  See Also:
    `AllowNullType`, `setNullable(AllowNullType)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseUserDefinedType_Nullable()`

### setNullable

    void setNullable(AllowNullType value)

  Sets the value of the '`Nullable`' attribute.

  Parameters:
    `value` - the new value of the 'Nullable' attribute.
  See Also:
    `AllowNullType`, `getNullable()`

### getDefaultType

    TypeOfDefault getDefaultType()

  Returns the value of the 'Default Type' attribute. The literals are from the enumeration `TypeOfDefault`.

  If the meaning of the 'Default Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Type' attribute.
  See Also:
    `TypeOfDefault`, `setDefaultType(TypeOfDefault)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseUserDefinedType_DefaultType()`

### setDefaultType

    void setDefaultType(TypeOfDefault value)

  Sets the value of the '`Default Type`' attribute.

  Parameters:
    `value` - the new value of the 'Default Type' attribute.
  See Also:
    `TypeOfDefault`, `getDefaultType()`

### isLiteralDefault

    boolean isLiteralDefault()

### getGlobalIncrementPartitionSize

    int getGlobalIncrementPartitionSize()

  -1 stand for default value